clean up files

This commit is contained in:
Erica Portnoy
2026-04-17 15:27:02 -07:00
parent 847ad37c51
commit dbc13a844e
5 changed files with 1 additions and 59 deletions
-28
View File
@@ -1,28 +0,0 @@
name: sphinx_steps
runs:
using: composite
steps:
- name: Build Sphinx Documentation
run: |-
set -e
sudo apt-get update
sudo apt-get install -y --no-install-recommends libaugeas-dev
FINAL_STATUS=0
declare -a FAILED_BUILDS
tools/venv.py
source venv/bin/activate
for doc_path in */docs
do
echo ""
echo "##[group]Building $doc_path"
if ! sphinx-build -W --keep-going -b html $doc_path $doc_path/_build/html; then
FINAL_STATUS=1
FAILED_BUILDS[${#FAILED_BUILDS[@]}]="${doc_path%/docs}"
fi
echo "##[endgroup]"
done
if [[ $FINAL_STATUS -ne 0 ]]; then
echo "##[error]The following builds failed: ${FAILED_BUILDS[*]}"
exit 1
fi
shell: bash
@@ -1,27 +0,0 @@
name: upload_coverage
runs:
using: composite
steps:
- name: Upload coverage data
if: env.uploadCoverage == true && (startsWith(matrix.TOXENV, 'cover') || startsWith(matrix.TOXENV, 'integration'))
run: |-
python3 tools/pip_install.py -I coverage
case "${{ runner.os }}" in
Darwin)
CODECOV_URL="https://uploader.codecov.io/latest/macos/codecov"
;;
Linux)
CODECOV_URL="https://uploader.codecov.io/latest/linux/codecov"
;;
Windows_NT)
CODECOV_URL="https://uploader.codecov.io/latest/windows/codecov.exe"
;;
*)
echo "Unexpected OS"
exit 0
esac
curl --retry 3 -o codecov "$CODECOV_URL"
chmod +x codecov
coverage xml
./codecov || echo "Uploading coverage data failed"
shell: bash
@@ -1,4 +1,3 @@
# Environment variables defined in a calling workflow are not accessible to this reusable workflow. Refer to the documentation for further details on this limitation.
name: Extended tests jobs
on:
workflow_call:
+1 -2
View File
@@ -1,5 +1,4 @@
# Environment variables defined in a calling workflow are not accessible to this reusable workflow. Refer to the documentation for further details on this limitation.
name: packaging_jobs
name: Packaging jobs
on:
workflow_call:
inputs:
@@ -1,4 +1,3 @@
# Environment variables defined in a calling workflow are not accessible to this reusable workflow. Refer to the documentation for further details on this limitation.
name: Test and package stage
on:
workflow_call: